using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class BossFightParticipant : MonoBehaviour
{
    
    Slider slider;
    Animator animator;
    

    void Start()
    {
        animator = GetComponent<Animator>();
        slider = GetComponent<Slider>();

        slider.minValue = 0;
        slider.value = slider.maxValue = 100;
    }

   
    void Update()
    {
        
    }

    //returns true if died
    public bool GetHit(int percentage)
    {
        slider.value = slider.value - percentage;

        if(slider.value <= 0)
        {
            animator.Play("Base Layer.dead");
            return true;
        } else
        {
            animator.Play("Base Layer.hit");
            return false;
        }
    }
}
