using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ObjectActivatorRegister : MonoBehaviour
{
    public bool enableCustomDistance = false;
    public bool unlimitedDistance = false;
    public float customDistance = 0;

    ObjectActivator objectActivator;

    void Start()
    {
        objectActivator = GameObject.FindGameObjectWithTag("Player").GetComponent<ObjectActivator>();
        objectActivator.Register(this);
        gameObject.SetActive(false);
    }

    void OnDestroy()
    {
        objectActivator.Unregister(this);
    }
}
