using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RespawnManager : MonoBehaviour
{
    GameObject[] respawnPoints;
 

    Vector3 lastCheckpoint;


   
    void Update()
    {
        
    }

    public void SetLastCheckpoint(Vector3 checkpoint)
    {
        lastCheckpoint = new Vector3(checkpoint.x, checkpoint.y, checkpoint.z);
    }

    public void RespawnPlayer(GameObject player)
    {
        StartCoroutine(RespawnPlayerCoroutine(2f, player));
    }

    IEnumerator RespawnPlayerCoroutine(float delay, GameObject player)
    {
        yield return new WaitForSeconds(delay);

        //reset hp
        HealthManager healthManager = player.GetComponent<HealthManager>();
        healthManager.hp = healthManager.maxHp;
        healthManager.isDead = false;

        //set new position
        player.transform.position = lastCheckpoint;

        //activate player again
        player.SetActive(true);
    }
}
