using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Shrooom : MonoBehaviour
{
    private Player player;
    public Animator animator;
    [SerializeField]
   
    public int bounce = 10;
    public AnimationClip DamageAnimation;
    AudioSource audioSource;

    public AudioClip bounceAudio;


    void Start()
    {
        player = GameObject.FindGameObjectWithTag("Player").GetComponent<Player>();
        audioSource = GetComponent<AudioSource>(); 
    }

    void OnTriggerEnter2D(Collider2D col)
    {
       
        
        animator.SetBool("Contact", true);
        
        HealthManager hm = col.gameObject.GetComponent<HealthManager>();
        if (hm != null)
        {
            hm.KnockBack(new Vector2(0, bounce), false, true);
            if(audioSource && bounceAudio)
            {
                audioSource.PlayOneShot(bounceAudio);
            }
        }
        
        
    }
    void OnTriggerExit2D(Collider2D col)
    {
        animator.SetBool("Contact", false);
    }



}
