﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;

namespace Assets
{
    public static class Utils
    {
        public static void DrawBox2D(Vector2 StartPositon, Vector2 Size, Color Color)
        {
            var point1 = new Vector2(StartPositon.x - Size.x / 2, StartPositon.y + Size.y / 2);
            var point2 = new Vector2(StartPositon.x - Size.x / 2, StartPositon.y - Size.y / 2);
            var point3 = new Vector2(StartPositon.x + Size.x / 2, StartPositon.y + Size.y / 2);
            var point4 = new Vector2(StartPositon.x + Size.x / 2, StartPositon.y - Size.y / 2);

            Debug.DrawLine(point1, point3, Color);
            Debug.DrawLine(point3, point4, Color);
            Debug.DrawLine(point4, point2, Color);
            Debug.DrawLine(point2, point1, Color);
        }
    }
}
