using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Ammo : MonoBehaviour
{
    bool trigger = false;



    void OnTriggerEnter2D(Collider2D item)
    {

        if (!trigger && item.CompareTag("Player"))
        {
            Player player = item.gameObject.GetComponent<Player>();
            if (player != null && !player.HasFullAmmo())
            {
                player.AddAmmo(1);
                trigger = true;
                Destroy(this.gameObject);
            }
        }

    }
}
