using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BUllet_enemy : MonoBehaviour
{
    public float speed = 20f;
    public int damage = 100;
    public Rigidbody2D rb;
    public GameObject impactEffect;
    public float disposeTime = 0.2f;

    public int shotDmg = 1;
    
    public float knockDuration = 0.01f;
    public float knockPower = 200;


    void Start()
    {
        rb.velocity = transform.right * speed;
        
    }

    void OnTriggerEnter2D(Collider2D hitInfo)
    {
        
        
            HealthManager player = hitInfo.GetComponent<HealthManager>();
            if (player != null)
            {
                player.TakeDamage(damage);

            }
            GameObject Effect = Instantiate(impactEffect, transform.position, transform.rotation);
            Destroy(gameObject);
            Destroy(Effect, disposeTime);
        


        
    }

}

