using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class BossDoorsManager : MonoBehaviour
{
    public string levelName;

    private bool entered = false;


    private void OnTriggerEnter2D(Collider2D collision)
    {
        if(!entered && collision.CompareTag("Player"))
        {
            entered = true;
            SceneManager.LoadScene(levelName, LoadSceneMode.Single);
        }
    }
}
