using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Feet : MonoBehaviour
{
    public Transform player;
    public bool isGrounded;
    public bool check;

    private void Update()
    {
        isGrounded = CharacterController2D.m_Grounded;
        Debug.DrawLine(transform.position, transform.position + Vector3.down * .5f, Color.red);

        if (isGrounded)
        {
            RaycastHit2D[] hits = Physics2D.RaycastAll(transform.position, Vector2.down, .5f);

            foreach (RaycastHit2D hit in hits)
            {
                if (hit.collider != null)
                {
                    if (hit.collider.CompareTag("Platform"))
                    {
                        player.SetParent(hit.transform);
                        return;
                    }
                }
            }
        }

        player.SetParent(null);
    }































    /*
    public GameObject player;
    Player playerScript;

    private void Start()
    {
        playerScript = GetComponent<Player>();
    }
    void OnTriggerEnter2D(Collider2D other)
    {
        if (other.gameObject.CompareTag("Platform") && playerScript.jump)
        {
            playerScript.jump = false;
            player.transform.parent = other.gameObject.transform;
        }
    }
    private void OnTriggerExit2D(Collider2D other)
    {
        if (other.gameObject.CompareTag("Platform"))
        {
            player.transform.parent = null;
        }
    }
    */
}
