using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Hearth : MonoBehaviour
{

    bool trigger = false; 



    void OnTriggerEnter2D(Collider2D item)
    {

        if (!trigger && item.CompareTag("Player"))
        {
            HealthManager player = item.gameObject.GetComponent<HealthManager>();
            if (player.Heal(1))
            {
                trigger = true;
                Destroy(this.gameObject);
            }
        }

    }
}
