using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Spikes : MonoBehaviour
{
    private Player player;

    [SerializeField]
    public int spikeDmg = 40;
    public int spikeKnockback = 10;

    void Start()
    {
        player = GameObject.FindGameObjectWithTag("Player").GetComponent<Player>();
    }

    void OnTriggerEnter2D(Collider2D col)
    {
        HealthManager hm = col.gameObject.GetComponent<HealthManager>();
        if(hm != null)
        {
            hm.TakeDamage(spikeDmg);
            hm.KnockBack(new Vector2(0, spikeKnockback), false, true);
        }
    }

}