using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class StepsSoundController : MonoBehaviour
{

    public AudioClip[] AudioClips;
    public float volume = 0.75f;

    bool isPlayer = false;

    AudioSource AudioSource;
    void Start()
    {
        AudioSource = GetComponent<AudioSource>();
        isPlayer = GetComponent<Player>() != null;
    }

    void PlayStep()
    {
        if(AudioSource)
        {
            if(isPlayer)
            {
                if (!CharacterController2D.m_Grounded) return; 
            }

            int index = Random.Range(0, AudioClips.Length - 1);
            AudioSource.PlayOneShot(AudioClips[index], volume);
        }
    }
}
