using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TorchCheckpoint : MonoBehaviour
{

    public GameObject fire;

    RespawnManager respawnManager;
    Collider2D collider;

    void Start()
    {
       GameObject managerObject = GameObject.FindGameObjectWithTag("RespawnManager");
       respawnManager = managerObject.GetComponent<RespawnManager>();

        collider = GetComponent<Collider2D>();
    }

    private void OnTriggerEnter2D(Collider2D collision)
    {
        if(collision.CompareTag("Player"))
        {
            collider.enabled = false;
            fire.SetActive(true);

            respawnManager.SetLastCheckpoint(transform.position);
        }
    }
}
